## visad
Class RemoteThingReferenceImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  visad.RemoteThingReferenceImpl

All Implemented Interfaces:
  Remote, RemoteThingReference, Serializable, ThingReference

Direct Known Subclasses:
  RemoteDataReferenceImpl

public class RemoteThingReferenceImpl
extends UnicastRemoteObject
implements RemoteThingReference

RemoteThingReferenceImpl is VisAD remote adapter for ThingReferenceImpl.

See Also:
  Serialized Form

Field Summary
`(package private) ThingReferenceImpl` `AdaptedThingReference`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`RemoteThingReferenceImpl(ThingReferenceImpl ref)`

Method Summary
`ThingChangedEvent` `acknowledgeThingChanged(Action a)` Action must be RemoteAction
`void` `addThingChangedListener(ThingChangedListener a, long id)` addThingChangedListener and removeThingChangedListener provide ThingChangedEvent source semantics; Action must be RemoteAction
`String` `getName()`
`Thing` `getThing()`
`long` `getTick()`
`long` `incTick()`
`ThingChangedEvent` `peekThingChanged(Action a)` Action must be RemoteAction
`void` `removeThingChangedListener(ThingChangedListener a)` ThingChangedListener must be RemoteAction
`void` `setThing(Thing t)` set this RemoteThingReferenceImpl to refer to t; must be RemoteThingImpl

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AdaptedThingReference

    final transient ThingReferenceImpl AdaptedThingReference

Constructor Detail

### RemoteThingReferenceImpl

    public RemoteThingReferenceImpl(ThingReferenceImpl ref)
                             throws RemoteException

Method Detail

### setThing

    public void setThing(Thing t)
                  throws VisADException,
                         RemoteException

  set this RemoteThingReferenceImpl to refer to t; must be RemoteThingImpl

  Specified by:
    `setThing` in interface `ThingReference`
  Throws:
    `VisADException`
    `RemoteException`

### getThing

    public Thing getThing()
                   throws VisADException,
                          RemoteException

  Specified by:
    `getThing` in interface `ThingReference`
  Throws:
    `VisADException`
    `RemoteException`

### getTick

    public long getTick()
                 throws VisADException,
                        RemoteException

  Specified by:
    `getTick` in interface `ThingReference`
  Throws:
    `VisADException`
    `RemoteException`

### incTick

    public long incTick()
                 throws VisADException,
                        RemoteException

  Specified by:
    `incTick` in interface `ThingReference`
  Throws:
    `VisADException`
    `RemoteException`

### getName

    public String getName()
                   throws VisADException,
                          RemoteException

  Specified by:
    `getName` in interface `ThingReference`
  Throws:
    `VisADException`
    `RemoteException`

### addThingChangedListener

    public void addThingChangedListener(ThingChangedListener a,
                                        long id)
                                 throws VisADException,
                                        RemoteException

  addThingChangedListener and removeThingChangedListener provide ThingChangedEvent source semantics; Action must be RemoteAction

  Specified by:
    `addThingChangedListener` in interface `ThingReference`
  Throws:
    `VisADException`
    `RemoteException`

### removeThingChangedListener

    public void removeThingChangedListener(ThingChangedListener a)
                                    throws VisADException,
                                           RemoteException

  ThingChangedListener must be RemoteAction

  Specified by:
    `removeThingChangedListener` in interface `ThingReference`
  Throws:
    `VisADException`
    `RemoteException`

### peekThingChanged

    public ThingChangedEvent peekThingChanged(Action a)
                                       throws VisADException,
                                              RemoteException

  Action must be RemoteAction

  Specified by:
    `peekThingChanged` in interface `ThingReference`
  Throws:
    `VisADException`
    `RemoteException`

### acknowledgeThingChanged

    public ThingChangedEvent acknowledgeThingChanged(Action a)
                                              throws VisADException,
                                                     RemoteException

  Action must be RemoteAction

  Specified by:
    `acknowledgeThingChanged` in interface `ThingReference`
  Throws:
    `VisADException`
    `RemoteException`